---
title: delete-conditional-firewall-bypass
product: vercel
url: /docs/rest-api/sdk/security/delete-conditional-firewall-bypass
canonical_url: "https://vercel.com/docs/rest-api/sdk/security/delete-conditional-firewall-bypass"
last_updated: 2026-11-05
type: reference
prerequisites:
  []
related:
  - /docs/rest-api
summary: Learn about delete-conditional-firewall-bypass on Vercel.
install_vercel_plugin: npx plugins add vercel/vercel-plugin
---

# Delete conditional firewall bypass

```http
DELETE /v1/security/firewall/bypass/rules
```

Delete a conditional firewall bypass rule from a project domain.

## Authentication

**bearerToken**: HTTP bearer

## Query parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `projectId` | string | Yes |  |
| `slug` | string | No |  |
| `domain` | string | Yes |  |
| `teamId` | string | No | The Team identifier to perform the request on behalf of. |


## Example request

```typescript
import { Vercel } from "@vercel/sdk";

const vercel = new Vercel({
  bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
});

async function run() {
  const result = await vercel.security.deleteConditionalBypass({
    projectId: "<id>",
    slug: "my-team-url-slug",
    domain: "narrow-wheel.com",
    teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l",
  });

  console.log(result);
}

run();
```

## Example response

```json
""
```

## Responses

### 204: No description

Content-Type: `application/json`

```json
{
  "type": "string",
  "enum": [
    ""
  ]
}
```

### 400: One of the provided values in the request query is invalid.

### 401: The request is not authorized.

### 403: You do not have permission to access this resource.

### 404: No description

### 410: No description

---

## Related

- [security endpoints](/docs/rest-api#security)

- [REST API overview](/docs/rest-api)

- [OpenAPI spec](https://vercel.com/openapi.json) (machine-readable, all endpoints)

---

[View full sitemap](/docs/sitemap)


If you encounter incorrect information, can’t find what you need, need a capability Vercel doesn’t currently offer, or have any other feedback to report, please do it by following the instructions at https://vercel.com/feedback.md.
